EDIT - bug #9630

Make the handling of computed description configurable
05/19/2021 01:24 PM - Katja Luther

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 80%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.24

Severity: normal Found in Version:

Description

from #8471:

This ticket is not meant to completely make the computed descriptions invisible. By default they should only be disabled for editing.
But ofcourse it might be even better if this can be made configurable (e.g. 3 states: editable, disabled for editing, invisible) with
default to disabled for editing.

Related issues:
Related to EDIT - feature request #8471: Computed descriptions should be disa... Closed

Associated revisions

Revision 3012271 - 05/26/2021 03:39 PM - Katja Luther

ref #9630: add PreferencePredicate for computed Descriptions

Revision 0ab60230 - 05/26/2021 03:51 PM - Katja Luther

ref #9630: make computed descriptions handling configurable

Revision 12521139 - 05/27/2021 10:45 AM - Katja Luther

ref #9630: make computed descriptions handling configurable - adapt handler

Revision 7fcccab7 - 05/27/2021 10:47 AM - Katja Luther

ref #9630: make computed descriptions handling configurable - adapt content and label provider

Revision bc2df6ea - 05/27/2021 12:02 PM - Katja Luther

ref #9630: make computed descriptions handling configurable - avoid IAE

Revision 49fc3410 - 05/28/2021 09:53 AM - Katja Luther
ref #9630: override toString()

Revision 85f3df99 - 05/28/2021 09:55 AM - Katja Luther
ref #9630: avoid IAE continue

Revision 13555b11 - 06/01/2021 10:36 AM - Katja Luther

ref #9630: fix time period disabling and supplemental data enabling

Revision 33f8af3e - 06/01/2021 12:05 PM - Katja Luther

ref #9630: default value for enable description element source is true

Revision 093e7cd5 - 06/01/2021 04:00 PM - Katja Luther
ref #8776, #9630: d&d from voc to tree and disable time period if fact is disabled

Revision 2daf0f0b - 06/01/2021 04:37 PM - Katja Luther

ref #9630: setEnabled to source section

Revision 1df9cf60 - 09/30/2021 02:02 PM - Katja Luther
https://dev.e-taxonomy.eu/redmine/issues/8471

ref #9630: d&d should not allowed to a computed description if

History

#1 - 05/19/2021 01:26 PM - Katja Luther
- Related to feature request #8471: Computed descriptions should be disabled in TaxEditor added

#2 - 05/27/2021 11:12 AM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

this is fixed, please review.

#3 - 05/28/2021 09:02 AM - Katja Luther
- Status changed from Resolved to In Progress

- Assignee changed from Andreas Miller to Katja Luther

#4 - 05/31/2021 02:20 PM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

| think now it works, please review

#5 - 06/01/2021 09:54 AM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 0 to 50

When selection is "Enabled" the supplemental data and the sources are still disabled. Tested with rem_conf_am/->Species "Testaggregation
species"->Germany
Enablement works ok for area and status and timescope

#6 - 06/01/2021 10:04 AM - Andreas Miiller

When "disabled" is selected, timescope is still editable (I have only checked distributions no other descriptions)

#7 - 06/01/2021 10:05 AM - Andreas Miiller

"Invisible" works as expected

#8 - 06/01/2021 10:36 AM - Katja Luther

Andreas Muller wrote:

When "disabled" is selected, timescope is still editable (I have only checked distributions no other descriptions)

this is fixed with the last commit

#9 - 06/01/2021 02:18 PM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.24

#10 - 06/01/2021 02:28 PM - Andreas Miiller

The detail fields in timescope are still editable with "disabled"

#11 - 06/01/2021 02:30 PM - Andreas Miiller

And supplemental data of not-computed dara are not editable with "disabled"

#12 - 06/01/2021 02:31 PM - Andreas Miiller

Andreas Muller wrote:

And supplemental data of not-computed dara are not editable with "disabled"
... but only if a "computed" description was selected before

#13 - 06/01/2021 02:42 PM - Katja Luther
Andreas Muller wrote:

Andreas Muller wrote:

And supplemental data of not-computed dara are not editable with "disabled"

... but only if a "computed" description was selected before

this is fixed.

#14 - 06/01/2021 02:48 PM - Katja Luther

Andreas Muller wrote:

The detail fields in timescope are still editable with "disabled"

In my local installation the fields are not greyed, but they are not editable, have to check it with nightly.

#15 - 06/01/2021 03:04 PM - Andreas Miiller
Katja Luther wrote:

Andreas Muller wrote:

The detail fields in timescope are still editable with "disabled"

In my local installation the fields are not greyed, but they are not editable, have to check it with nightly.

Have you tested with an empty field? Be aware that the fields have a maximum number of digits that can be entered.

#16 - 06/01/2021 10:40 PM - Andreas Miiller
- Tags set to additivity
- Status changed from Feedback to Resolved

- % Done changed from 50 to 80

Works now as expected for distributions but needs to be tested for structured descriptions (open new ticket if necessary).

Code still needs to be cleanup (lot of commented code)

#17 - 06/02/2021 11:32 AM - Katja Luther

- Status changed from Resolved to Closed

Code is cleaned up. | check the structured descriptions and create a new ticket if necessary.

#18 - 09/30/2021 02:03 PM - Katja Luther

Added check whether a d&d target is a computed description.
